#!/bin/bash
# Copyright (C) 2011 Generalitat de Catalunya 
# 
# This file is part of Linkat Tumbleweed.  
# 
# Linkat Tumbleweed is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat Tumbleweed is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos (jcasas@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: linkat@xtec.cat
# 

#
# This script launches a Dist Upgrate against Linkat Tumbleweed tumbleweed repo (which is an
# openSUSE_11.4-tumbleweed mirror).
#

# Load library
. /usr/share/install-linkat-tumbleweed/lib-Linkat_Tumbleweed.sh

# check that we are root
check_we_are_root

# Check and kill packagekit
check_kill_packagekit

# Add Tumbleweed repo
zypper ar --refresh http://download-linkat.xtec.net/distribution/linkat-tumbleweed/mirrors/tumbleweed/ Tumbleweed

# Launch Dist-Upgrade
zypper --non-interactive --no-gpg-checks dup --from Tumbleweed

# Prompt user for reboot
prompt_reboot

exit 0

