#!/bin/bash
# Copyright (C) 2011 Generalitat de Catalunya 
# 
# This file is part of Linkat Tumbleweed.  
# 
# Linkat Tumbleweed is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat Tumbleweed is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos (jcasas@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: linkat@xtec.cat
# 

#
# This script launches various system commands and configurations.
#

# Load library
. /usr/share/install-linkat-tumbleweed/lib-Linkat_Tumbleweed.sh

# check that we are root
check_we_are_root

# Configure java sun
update-alternatives --set javaplugin /usr/lib/jvm/java-1.6.0-sun-1.6.0/jre/lib/i386/libnpjp2.so
update-alternatives --set java /usr/lib/jvm/jre-1.6.0-sun/bin/java
update-alternatives --set jre_1.6.0 /usr/lib/jvm/jre-1.6.0-sun

# Change gnome login icon
sudo -u gdm dbus-launch gconftool-2 --set /apps/gdm/simple-greeter/logo_icon_name --type string gdm-suse

# Fix user directory names
sed -i "s/DOWNLOAD=Downloads/DOWNLOAD=Download/g" /etc/xdg/user-dirs.defaults

# Fix Firefox icon name on upper desktop bar
sed -i "s/MozillaFirefox.desktop/firefox.desktop/g" /etc/gconf/gconf.xml.vendor/%gconf-tree.xml

# Get original Gnome menus
cd /etc/xdg/menus
wget http://download-linkat.xtec.cat/distribution/linkat-tumbleweed/scripts/prefs/linkat4-applications.menu
cp -n gnome-applications.menu gnome-applications.menu.original
cp linkat4-applications.menu gnome-applications.menu

# Set home page, search engines ans bookmarks for Firefox
cd /usr/lib/firefox
wget http://download-linkat.xtec.cat/distribution/linkat-tumbleweed/scripts/prefs/browserconfig.properties.linkat
cp -n browserconfig.properties browserconfig.properties.original
cp browserconfig.properties.linkat browserconfig.properties

cd /usr/lib/firefox/searchplugins
wget http://download-linkat.xtec.cat/distribution/linkat-tumbleweed/scripts/prefs/merli.xml

cd /usr/lib/firefox/defaults/profile
wget http://download-linkat.xtec.cat/distribution/linkat-tumbleweed/scripts/prefs/bookmarks.html.linkat
cp -n bookmarks.html bookmarks.html.original
cp bookmarks.html.linkat bookmarks.html

# Update icons
gtk-update-icon-cache

# Check and kill packagekit
check_kill_packagekit

# Add some packages that does not fits trought YMP
zypper -n install planner khangman ekiga pidgin

# Launch update
zypper --non-interactive up --auto-agree-with-licenses

# Prepare boot image
mkinitrd

# Apply Linkat grub image
gfxboot --add-file /etc/bootsplash/themes/Linkat/cdrom/back.jpg

# Tell the user that the work is done
spawn_info "Instal·lació finalitzada" "El proces d'instal·lació ha finalitzat. En reiniciar haurieu de tenir una Linkat Tumbleweed en funcionament amb tots els paquets educatius.\nTingueu molta diversió!"

# Let's reboot
prompt_reboot

exit 0

