#!/bin/bash
#
# Copyright (C) 2011 Generalitat de Catalunya 
# 
# This file is part of Linkat Tumbleweed.  
# 
# Linkat Tumbleweed is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat Tumbleweed is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos (jcasas@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: linkat@xtec.cat
# 

#
# Launcher
#

ZENITY=`which zenity 2> /dev/null`
SDPL=`which sdpl 2> /dev/null`
if [ $? -ne 0 ] ; then
	echo "ERROR: sdpl not found, wrong installation."
	exit 1
fi
CURRENT=`$SDPL -i`
TOTAL=`$SDPL -t`
if [ ${CURRENT} -lt ${TOTAL} ] ; then
	NEXT=`expr ${CURRENT} + 1`
	sed -e "s:__PARTTAG__:${NEXT} of ${TOTAL}:" < /usr/share/install-linkat-tumbleweed/data/install-linkat-tumbleweed.desktop > __SHORTDEST__
	$ZENITY --info --timeout=20 --title="Linkat-Tumbleweed installation" --text="Heu engegat el procés d'instal·lació de la Linkat Tumbleweed!\n\nA continuació s'executarà el pas ${CURRENT} de ${TOTAL} de la instal·lació.\nSi us plau seguiu les instruccions i reinicieu el sistema en cas que el programa ho demani.\n\nDivertiu-vos!"
	$SDPL
elif [ ${CURRENT} -eq ${TOTAL} ] ; then
	sed -e "s:__PARTTAG__:finished:" < /usr/share/install-linkat-tumbleweed/data/install-linkat-tumbleweed.desktop > __SHORTDEST__
	$ZENITY --info --timeout=20 --title="Linkat-Tumbleweed installation" --text="Heu engegat el procés d'instal·lació de la Linkat Tumbleweed!\n\nA continuació s'executarà el pas ${CURRENT} de ${TOTAL} de la instal·lació.\nSi us plau seguiu les instruccions i reinicieu el sistema en cas que el programa ho demani.\n\nDivertiu-vos!"
	$SDPL
else
	$ZENITY --info --title="Linkat-Tumbleweed installation" --text="Heu engegat el procés d'instal·lació de la Linkat Tumbleweed.\n\nNo s'executaran més passos ja que la instal·lació ja va finalitzar en un altre moment. Si no fos així haureu de reconfigurar el sistema d'instal·lació (podeu reiniciar-lo fent sdpl -r).\n\nDivertiu-vos!"
fi

